﻿Imports System.Xml.Serialization


Public Class PageInfo
    Public Sub New()
        Me.Words = New List(Of WordInfo)()
    End Sub

    <XmlAttribute(AttributeName:="PI")>
    Public Property ParagraphIndex() As Integer

    <XmlAttribute(AttributeName:="CI")>
    Public Property CharacterIndex() As Integer

    <XmlAttribute(AttributeName:="IL")>
    Public Property IsLastPageInChapter() As Boolean

    <XmlAttribute(AttributeName:="IP")>
    Public Property IsPaginated() As Boolean

    <XmlAttribute(AttributeName:="AC")>
    Public Property AccumulatedCharacterCount() As Integer

    <XmlIgnore()>
    Public Property Words() As List(Of WordInfo)
End Class

