﻿Imports System
Imports System.ComponentModel

    Public Class Annotation
        Implements INotifyPropertyChanged, IEquatable(Of Annotation)
    Private _note As String

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Public Property Text() As String

    Public Property Note() As String
        Set(ByVal value As String)
            If _note <> value Then
                _note = value
                OnPropertyChanged("Note")
            End If
        End Set
        Get
            Return _note
        End Get
    End Property

        Public Property ChapterTitle() As String

        Public Property CharacterOffset() As Integer

        Public Property Percentage() As Double

    Public Property DateTime() As Date

        Public Overloads Function Equals(ByVal that As Annotation) As Boolean Implements IEquatable(Of Annotation).Equals
        Return Me.CharacterOffset = that.CharacterOffset AndAlso Me.DateTime = that.DateTime
        End Function

        Private Sub OnPropertyChanged(ByVal propertyName As String)
            RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(propertyName))
        End Sub
    End Class
