﻿Imports System.Globalization
Imports System.Windows
Imports System.Windows.Data


Public Class BooleanToFontWeightConverter
    Implements IValueConverter
    Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
        Return If(CBool(value), FontWeights.Bold, FontWeights.Normal)
    End Function

    Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        Return CType(value, FontWeight) <> FontWeights.Normal
    End Function
End Class

