﻿Imports System.Xml.Serialization


Public Class ChapterInfo
    Public Sub New()
        Me.Pages = New List(Of PageInfo)()
    End Sub

    <XmlAttribute(AttributeName:="T")>
    Public Property Title() As String

    <XmlAttribute(AttributeName:="FP")>
    Public Property FirstParagraph() As Integer

    <XmlAttribute(AttributeName:="PC")>
    Public Property ParagraphCount() As Integer

    <XmlAttribute(AttributeName:="IF")>
    Public Property IsFirstChapter() As Boolean

    <XmlAttribute(AttributeName:="IL")>
    Public Property IsLastChapter() As Boolean

    <XmlElement(ElementName:="PG")>
    Public Property Pages() As List(Of PageInfo)

    ' This is solely for the benefit of ChaptersPage
    <XmlIgnore()>
    Public Property IsCurrentChapter() As Boolean
End Class

