﻿Imports System.Globalization
Imports System.Windows.Data


Public Class StringFormatConverter
    Implements IValueConverter
    Public Function Convert(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.Convert
        If targetType Is GetType(String) AndAlso TypeOf parameter Is String Then
            Return String.Format(culture, TryCast(parameter, String), value)
        End If

        Return value
    End Function

    Public Function ConvertBack(ByVal value As Object, ByVal targetType As Type, ByVal parameter As Object, ByVal culture As CultureInfo) As Object Implements IValueConverter.ConvertBack
        Return value
    End Function
End Class

